[prev in list] [next in list] [prev in thread] [next in thread] 

List:       kde-commits
Subject:    kde-common/release
From:       Torgny Nyblom <nyblom () kde ! org>
Date:       2012-10-02 18:48:30
Message-ID: 20121002184830.B7417AC7E9 () svn ! kde ! org
[Download RAW message or body]

SVN commit 1318888 by tnyblom:

Update for 4.9.2 tag and add a tagging script


 M  +3 -2      checkout  
 M  +1 -1      common  
 M  +1 -1      create_sources_inc  
 M  +1 -1      dist  
 M  +10 -0     docu  
 M  +1 -1      setup-git-modules.sh  
 AM            tag_all  
 M  +5 -0      versions  


--- trunk/kde-common/release/checkout #1318887:1318888
@@ -5,8 +5,8 @@
 # language_list becomes the subdirs file in the l10n module, make sure it's uptodate.
 # Once it's all done, the script checks out the tagged directories under clean/.
 
-#SVNUSER=coolo
-#SVNPROTOCOL=svn+ssh
+SVNUSER=tnyblom
+SVNPROTOCOL=svn+ssh
 
 test -n "$SVNUSER" || { echo "You must set SVNUSER"; exit 1; }
 test -n "$SVNPROTOCOL" || { echo "You must set SVNPROTOCOL"; exit 1; }
@@ -17,6 +17,7 @@
 
 cd clean
 for i in `cat ../modules`; do
+  echo "$i..."
   set_urls $i
   if test -d $subname; then 
         svn switch $BASE/$HEADURL $subname
--- trunk/kde-common/release/common #1318887:1318888
@@ -9,7 +9,7 @@
 
 case $package in
   *)
-    version=4.9.1
+    version=4.9.2
     ;;
 esac
 
--- trunk/kde-common/release/create_sources_inc #1318887:1318888
@@ -6,7 +6,7 @@
         filename=`basename $i`
         echo '<tr valign="top">'
         l=`echo $filename | sed -e "s#.tar.xz##"`
-        echo '   <td><a href="http://download.kde.org/stable/4.9.1/'$2'/'$filename'">'$l'</a></td>'
+        echo '   <td><a href="http://download.kde.org/stable/4.9.2/'$2'/'$filename'">'$l'</a></td>'
         size=`stat -c "%s" $i`
         size=`echo "$size / 1024" | bc`
         if test "$size" -lt 1024; then
--- trunk/kde-common/release/dist #1318887:1318888
@@ -6,7 +6,7 @@
   if test $isl10n -eq 1; then
     cd $package
     cat subdirs | while read lang; do
-      scripts/autogen.sh $lang || exit 1
+      scripts/autogen.sh $lang || echo "ERROR with: $lang"
     done
   fi
 
--- trunk/kde-common/release/docu #1318887:1318888
@@ -1,3 +1,5 @@
+#!/bin/bash
+
 CDPATH=
 
 # Needed to compile docbookl10nhelper
@@ -2,3 +4,7 @@
 CXX=g++
+if [[ -f /etc/SuSE-release ]]; then
+    CFLAGS_QT4="-I/usr/include/QtCore/ -I/usr/include/Qt/ -I/usr/include/QtXml"
+else
 CFLAGS_QT4="-I/usr/include/qt4/QtCore/ -I/usr/include/qt4/ -I/usr/include/qt4/QtXml"
+fi
 LDFLAGS_QT4_CORE=-lQtCore
@@ -9,7 +15,11 @@
 # DOCBOOK_LOCATION should contain a file named catalog whose header says "Catalog data for DocBook XML \
V4.2"  # DOCBOOKXSL_LOCATION  should contains a file named catalog.xml whose header says "XML Catalog \
file for DocBook XSL Stylesheets"  DOCBOOK_LOCATION=/usr/share/xml/docbook/schema/dtd/4.2/
+if [[ -f /etc/SuSE-release ]]; then
+    DOCBOOKXSL_LOCATION=/usr/share/xml/docbook/stylesheet/nwalsh/current/
+else
 DOCBOOKXSL_LOCATION=/usr/share/xml/docbook/stylesheet/nwalsh/
+fi
 
 # make sure we leave no corefiles behind
 ulimit -c 0
--- trunk/kde-common/release/setup-git-modules.sh #1318887:1318888
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: sw=4 et
 
-set -x
+#set -x
 
 cd clean
 cat ../modules.git | while read module branch; do
--- trunk/kde-common/release/versions #1318887:1318888
@@ -8,6 +8,11 @@
     HEADURL=trunk/kdesupport/$1
     subname=$1
     ;;
+  oxygen-icons)
+    HEADURL=trunk/kdesupport/$1
+    DESTURL=tags/KDE/4.9.2/$1
+    subname=$1
+    ;;
   *)
     HEADURL=branches/KDE/4.9/$1
     subname=$1


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic